Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 314901 - [gnome overlay] gnome-base/gnome-settings-daemon-2.30.0 : Sound keys control don't work
Summary: [gnome overlay] gnome-base/gnome-settings-daemon-2.30.0 : Sound keys control ...
Status: VERIFIED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://bugzilla.gnome.org/show_bug.c...
Whiteboard:
Keywords:
Depends on:
Blocks: gnome2.30
  Show dependency tree
 
Reported: 2010-04-12 23:01 UTC by rg b
Modified: 2010-12-30 13:15 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge.info,2.70 KB, text/plain)
2010-04-14 04:41 UTC, rg b
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rg b 2010-04-12 23:01:03 UTC
The keys to control volume doesn't work, giving me those errors :

** (gnome-settings-daemon:5458): CRITICAL **: acme_volume_set_mute: assertion `acme_volume_open(self)' failed

** (gnome-settings-daemon:5458): CRITICAL **: acme_volume_set_volume: assertion `acme_volume_open(self)' failed


Reproducible: Always

Actual Results:  
Sound stays unchanged

Expected Results:  
I should be able to control sound volume with keyboard
Comment 1 Pacho Ramos gentoo-dev 2010-04-13 15:42:57 UTC
Please provide "emerge -pv gnome-settings-daemon" and "emerge --info". Also tell us if you also suffer this problem on a new created user account (maybe could be a configuration problem due old preferences files)

Good luck!
Comment 2 Pacho Ramos gentoo-dev 2010-04-13 15:50:00 UTC
This is probably due gst-vol patch, then, it's important to know how does this work with gnome-settings-daemon-2.28.1 and 2.28.2
Comment 3 rg b 2010-04-14 04:41:39 UTC
Created attachment 227711 [details]
emerge --info
Comment 4 rg b 2010-04-14 04:42:50 UTC
Im using the gnome overlay for now but the problem is the same without it.

gnome-base/gnome-settings-daemon-2.30.0  USE="-debug -libnotify -pulseaudio"

The problem still remains with fresh user account.
Comment 5 Gilles Dartiguelongue gentoo-dev 2010-04-14 06:01:21 UTC
the problem is compositing, the USE=-pulseaudio code doesn't know how to use the acme stuff (which is the translucent notifications, try disabling your compositor, and you should see the popup.
Comment 6 rg b 2010-04-15 02:31:36 UTC
I can see the popup, but this is without any effect on the sound; just the previous error message.
Comment 7 Gilles Dartiguelongue gentoo-dev 2010-05-26 12:14:58 UTC
FYI, this bug also affects debian (I'm running it at work).
Comment 8 rg b 2010-05-29 10:15:42 UTC
I don't know what changed, but this bug is not here anymore on ~amd64 but still on x86 and ~x86.
Comment 9 Pacho Ramos gentoo-dev 2010-06-13 18:21:00 UTC
I cannot reproduce this neither with 2.30.0-r1 in the tree :-|
Comment 10 Pacho Ramos gentoo-dev 2010-06-27 12:12:33 UTC
Is anybody still affected with Gnome 2.30 from main tree (not overlay) ?
Comment 11 Gilles Dartiguelongue gentoo-dev 2010-12-30 13:15:58 UTC
Due to lack of updated information in the last 2 weeks, there is no way we can further help you solve this problem. Thanks for reporting anyway.